package cn.iocoder.yudao.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 工单操作记录-工作类型枚举(repair_records_type)
 *
 * @author vinjor-m
 */
@AllArgsConstructor
@Getter
public enum RecordTypeEnum {
    /**
     * 创建工单
     */
    CJGD("cjgd","创建工单"),
    /**
     * 指派施工
     */
    ZPSG("zpsg","指派施工"),
    /**
     * 领料
     */
    LL("ll","领料"),
    /**
     * 退料
     */
    TL("tl","退料"),
    /**
     * 施工完成（自检）
     */
    SGWCZJ("sgwczj","施工完成（自检）"),
    /**
     * 总检
     */
    ZJ("zj","总检"),
    /**
     * 结束工单
     */
    JSGD("jsgd","结束工单"),
    /**
     * 通知客户取车
     */
    TZQC("tzqc","通知客户取车"),
    /**
     * 开始施工
     */
    KSSG("kssg","开始施工"),
    /**
     * 施工中
     */
    SGZ("sgz","施工中"),
    /**
     * 通知领料
     */
    TZLL("tzll","通知领料"),
    /**
     * 通知退料
     */
    TZTL("tztl","通知退料"),
    /**审批配件申请单*/
    SPPJSQD("sppjsqd","审批配件申请单"),
    /**
     * 接单
     */
    jd("jd","接单");

    /**
     * code
     */
    private String code;
    /**
     * 名称
     */
    private String name;

    /**
     * 根据code返回对应的枚举
     * @author vinjor-M
     * @date 14:23 2024/10/16
     * @param code code
     * @return cn.iocoder.yudao.common.SystemEnum
     **/
    public static RecordTypeEnum getEnumByCode(String code) {
        for (RecordTypeEnum thisEnum : RecordTypeEnum.values()) {
            if (thisEnum.getCode().equalsIgnoreCase(code)) {
                // 找到对应的枚举
                return thisEnum;
            }
        }
        throw new IllegalArgumentException("无效的枚举code：" + code);
    }

}
